OpenNMS API 1.2.9

## org.opennms.netmgt.capsd
Class AbstractPlugin

    java.lang.Object
      org.opennms.netmgt.capsd.AbstractPlugin

All Implemented Interfaces:
  Plugin

Direct Known Subclasses:
  AbstractTcpPlugin, DhcpPlugin, DnsPlugin, GpPlugin, IcmpPlugin, JDBCPlugin, LdapPlugin, MSExchangePlugin, NrpePlugin, NsclientPlugin, NtpPlugin, Pop3Plugin, RadiusAuthPlugin, SmbPlugin, SmtpPlugin, SnmpPlugin, SshPlugin, TcpPlugin

abstract class AbstractPlugin
extends java.lang.Object
implements Plugin

This class provides a basic implementation for most of the interface methods of the `Plugin` class. Since most plugins do not do any special initialization, and only require that the interface is an `InetAddress` object this class provides eveything but the `poll`interface.``

Author:
  Mike, Weave, OpenNMS

Constructor Summary
`(package private)` `AbstractPlugin()`

Method Summary
`abstract java.lang.String` `getProtocolName()` Returns the name of the protocol that this plugin checks on the target system for support.
`abstract boolean` `isProtocolSupported(java.net.InetAddress address)` Returns true if the protocol defined by this plugin is supported.
`abstract boolean` `isProtocolSupported(java.net.InetAddress address, java.util.Map qualifiers)` Returns true if the protocol defined by this plugin is supported.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AbstractPlugin

    AbstractPlugin()

Method Detail

### getProtocolName

    public abstract java.lang.String getProtocolName()

  Returns the name of the protocol that this plugin checks on the target system for support.

  Specified by:
    `getProtocolName` in interface `Plugin`
  Returns:
    The protocol name for this plugin.

### isProtocolSupported

    public abstract boolean isProtocolSupported(java.net.InetAddress address)

  Returns true if the protocol defined by this plugin is supported. If the protocol is not supported then a false value is returned to the caller.

  Specified by:
    `isProtocolSupported` in interface `Plugin`
  Parameters:
    `address` - The address to check for support.
  Returns:
    True if the protocol is supported by the address.

### isProtocolSupported

    public abstract boolean isProtocolSupported(java.net.InetAddress address,
                                                java.util.Map qualifiers)

  Returns true if the protocol defined by this plugin is supported. If the protocol is not supported then a false value is returned to the caller. The qualifier map passed to the method is used by the plugin to return additional information by key-name. These key-value pairs can be added to service events if needed.

  Specified by:
    `isProtocolSupported` in interface `Plugin`
  Parameters:
    `address` - The address to check for support.
    `qualifiers` - The map where qualification are set by the plugin.
  Returns:
    True if the protocol is supported by the address.

OpenNMS API 1.2.9

Generated by ranger on May 19 2007 2335.